Package twisted :: Package protocols :: Package jabber :: Module jstrports

[frames | no frames]

## Module twisted.protocols.jabber.jstrports

A temporary placeholder for client-capable strports, until we sufficient use cases get identified

Function Summary
| ``_parseTCPSSL`(factory, domain, port)` For the moment, parse TCP or SSL connections the same
| `_parseUNIX(factory, address)`
| `client(description, factory)`
| `parse(description, factory)`

Variable Summary
`dict` | `_funcs` = `{'ssl': <function _parseTCPSSL at 0x8c76004>, '...`

Function Details

### _parseTCPSSL(factory, domain, port)

For the moment, parse TCP or SSL connections the same

Variable Details

### _funcs

  Type:
    `dict`
  Value:

        {'ssl': <function _parseTCPSSL at 0x8c76004>,
         'tcp': <function _parseTCPSSL at 0x8c76004>,
         'unix': <function _parseUNIX at 0x8bf8ba4>}

Generated by Epydoc 2.0 on Sat May 15 20:08:23 2004 | http://epydoc.sf.net